Subject: Re: 2.6.17-rc4: netfilter LOG messages truncated via NETCONSOLE

From: Frank van Maarseveen <[email-masked]>
Date: Wed, 31 May 2006 19:29:36 +0200

On Wed, May 31, 2006 at 06:36:35PM +0200, Patrick McHardy wrote:

[...]

> > "protocol 0000 is buggy" is gone. The other problem is still there.
> 
> 
> The messages might get dropped when the output queue is full.
> Does one of the drop counters shown by "ip -s link list"
> and "tc -s -d qdisc show" increase (the other counts might also
> give some clues)? Otherwise please apply the attached patch
> (should fix tcpdump, last patch was incomplete) and post a dump.

No visible improvement with the new patch. ip -s link doesn't show any
dropped packets so far with any patch and I don't use traffic control
that I'm aware of. But I'm not sure what to make of "tc" output, maybe
because CONFIG_SHAPER is not set:

	# tc -s -d qdisc show
	RTNETLINK answers: Invalid argument
	Dump terminated

.config attached.

-- 
Frank